"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Badge = void 0;
require("./Badge.scss");
const classnames = require("classnames");
const React = require("react");
const SvgSprite_1 = require("../icons/SvgSprite");
/** Beta Badge React component
 * @internal
 */
class Badge extends React.PureComponent {
    render() {
        return (React.createElement("div", { className: classnames("core-badge", this.props.className), style: this.props.style },
            React.createElement(SvgSprite_1.SvgSprite, { src: this.props.svg })));
    }
}
exports.Badge = Badge;
//# sourceMappingURL=Badge.js.map