"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadgeUtilities = void 0;
const React = require("react");
const ui_abstract_1 = require("@bentley/ui-abstract");
const BetaBadge_1 = require("./BetaBadge");
const NewBadge_1 = require("./NewBadge");
/** Converts BetaType to Badge React component
 * @internal
 */
class BadgeUtilities {
    /** Converts BetaType to Badge React component */
    static getComponentForBadgeType(badgeType) {
        if (badgeType === undefined)
            return undefined;
        let component;
        switch (badgeType) {
            case ui_abstract_1.BadgeType.TechnicalPreview:
                component = React.createElement(BetaBadge_1.BetaBadge, null);
                break;
            case ui_abstract_1.BadgeType.New:
                component = React.createElement(NewBadge_1.NewBadge, null);
                break;
            case ui_abstract_1.BadgeType.None:
                component = undefined;
                break;
        }
        return component;
    }
}
exports.BadgeUtilities = BadgeUtilities;
//# sourceMappingURL=BadgeUtilities.js.map