"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BetaBadge = void 0;
require("./BetaBadge.scss");
const classnames = require("classnames");
const React = require("react");
const Badge_1 = require("./Badge");
const technical_preview_badge_svg_sprite_1 = require("./technical-preview-badge.svg?sprite");
/** Beta Badge React component
 * @internal
 */
function BetaBadge(props) {
    const className = classnames("core-badge-betaBadge", props.className);
    return React.createElement(Badge_1.Badge, Object.assign({}, props, { svg: technical_preview_badge_svg_sprite_1.default, className: className }));
}
exports.BetaBadge = BetaBadge;
//# sourceMappingURL=BetaBadge.js.map