"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NewBadge = void 0;
require("./NewBadge.scss");
const classnames = require("classnames");
const React = require("react");
const Badge_1 = require("./Badge");
const new_feature_badge_svg_sprite_1 = require("./new-feature-badge.svg?sprite");
/** New Badge React component
 * @internal
 */
function NewBadge(props) {
    const { className } = props, badgeProps = __rest(props, ["className"]);
    return React.createElement(Badge_1.Badge, Object.assign({}, badgeProps, { className: classnames("core-new-badge", className), svg: new_feature_badge_svg_sprite_1.default }));
}
exports.NewBadge = NewBadge;
//# sourceMappingURL=NewBadge.js.map