"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Base
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Div = void 0;
const classnames = require("classnames");
const React = require("react");
/** Base div element React component
 * @public
 */
function Div(props) {
    const { mainClassName, className, style, children } = props, divProps = __rest(props, ["mainClassName", "className", "style", "children"]);
    return (React.createElement("div", Object.assign({}, divProps, { className: classnames(mainClassName, className), style: style }), children));
}
exports.Div = Div;
//# sourceMappingURL=Div.js.map