"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Base
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FillCentered = void 0;
const React = require("react");
const Div_1 = require("./Div");
/** Full height & width and centered React functional component.
 * Displays content centered vertically and horizontally and has a height and width of 100%.
 * @public
 */
function FillCentered(props) {
    return React.createElement(Div_1.Div, Object.assign({}, props, { mainClassName: "uicore-fill-centered" }));
}
exports.FillCentered = FillCentered;
//# sourceMappingURL=FillCentered.js.map