"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Base
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FlexWrapContainer = void 0;
const React = require("react");
const Div_1 = require("./Div");
/** Flex Wrap Container React functional component.
 * Wraps content onto multiple lines and
 * has the 'display: flex' and 'flex-wrap: wrap' CSS properties.
 * @public
 */
function FlexWrapContainer(props) {
    return React.createElement(Div_1.Div, Object.assign({}, props, { mainClassName: "uicore-flex-wrap-container" }));
}
exports.FlexWrapContainer = FlexWrapContainer;
//# sourceMappingURL=FlexWrapContainer.js.map