/** @packageDocumentation
 * @module Button
 */
import "./UnderlinedButton.scss";
import * as React from "react";
/** Properties for the [[UnderlinedButton]] React component
 * @public
 */
export interface UnderlinedButtonProps {
    /** String that will be rendered by the button */
    children: string | React.ReactNode;
    /** Additional className */
    className?: string;
    /** Title of the button */
    title?: string;
    /** Callback to onClick event */
    onClick?: (e: React.MouseEvent) => void;
    /** Callback to activate */
    onActivate?: () => void;
}
/** A React component that makes text clickable and underlined
 * @public
 */
export declare function UnderlinedButton(props: UnderlinedButtonProps): JSX.Element;
//# sourceMappingURL=UnderlinedButton.d.ts.map