/** @packageDocumentation
 * @module CheckListBox
 */
import "./CheckListBox.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for the [[CheckListBoxItem]] component
 * @public
 */
export interface CheckListBoxItemProps extends CommonProps {
    /** Label */
    label: string;
    /** Indicates whether the item is checked or not */
    checked?: boolean;
    /** Indicates whether the item is disabled or not */
    disabled?: boolean;
    /** Function called when item is clicked. */
    onClick?: () => any;
    /** Function called when item is changed. */
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => any;
}
/** Item with a checkbox added to a [[CheckListBox]].
 * @public
 */
export declare class CheckListBoxItem extends React.PureComponent<CheckListBoxItemProps> {
    render(): JSX.Element;
}
/** Separator added to a [[CheckListBox]].
 * @public
 */
export declare function CheckListBoxSeparator(): JSX.Element;
/** React component showing a list of Checkbox items.
 * @public
 */
export declare class CheckListBox extends React.PureComponent<CommonProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=CheckListBox.d.ts.map