"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module ContextMenu
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextMenuDivider = void 0;
const React = require("react");
const classnames = require("classnames");
/**
 * Menu Divider for [[ContextMenu]]. Inserts a line between items, used for list item grouping.
 * @public
 */
class ContextMenuDivider extends React.PureComponent {
    render() {
        const _a = this.props, { className } = _a, props = __rest(_a, ["className"]);
        return (React.createElement("div", Object.assign({}, props, { "data-testid": "core-context-menu-divider", className: classnames("core-context-menu-divider", className) })));
    }
}
exports.ContextMenuDivider = ContextMenuDivider;
//# sourceMappingURL=ContextMenuDivider.js.map