/** @packageDocumentation
 * @module Cube
 */
import "./Cube.scss";
import * as React from "react";
import { Matrix3d } from "@bentley/geometry-core";
import { CommonProps } from "../utils/Props";
/** Cube Face enumeration
 * @public
 */
export declare enum Face {
    None = "",
    Left = "left",
    Right = "right",
    Back = "back",
    Front = "front",
    Bottom = "bottom",
    Top = "top"
}
/** Properties for the [[Cube]] React component
 * @public
 */
export interface CubeProps extends React.AllHTMLAttributes<HTMLDivElement>, CommonProps {
    faces?: {
        [key: string]: React.ReactNode;
    };
    rotMatrix: Matrix3d;
}
/** Cube React component used by the 3d Cube Navigation Aid
 * @public
 */
export declare class Cube extends React.PureComponent<CubeProps> {
    render(): React.ReactNode;
}
/** @internal */
export interface CubeFaceProps extends React.AllHTMLAttributes<HTMLDivElement> {
    rotMatrix: Matrix3d;
    face: Face;
}
/** @internal */
export declare class CubeFace extends React.Component<CubeFaceProps> {
    private _faceWidth;
    render(): React.ReactNode;
    private getCSSClassNameFromFace;
}
//# sourceMappingURL=Cube.d.ts.map