/** @packageDocumentation
 * @module Dialog
 */
import * as React from "react";
import { DialogProps } from "./Dialog";
/** Properties for the [[GlobalDialog]] component
 * @public
 */
export interface GlobalDialogProps extends DialogProps {
    identifier?: string;
}
/** State properties for the [[GlobalDialog]] component
 * @public
 */
export interface GlobalDialogState {
    parentDocument: Document | null;
}
/** GlobalDialog React component used to display a [[Dialog]] on the top of screen
 * @public
 */
export declare class GlobalDialog extends React.Component<GlobalDialogProps, GlobalDialogState> {
    private _container?;
    readonly state: GlobalDialogState;
    constructor(props: GlobalDialogProps);
    private _handleRefSet;
    componentWillUnmount(): void;
    render(): React.ReactNode;
}
//# sourceMappingURL=GlobalDialog.d.ts.map