"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Dialog
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalDialog = void 0;
const React = require("react");
const ReactDOM = require("react-dom");
const Dialog_1 = require("./Dialog");
/** GlobalDialog React component used to display a [[Dialog]] on the top of screen
 * @public
 */
class GlobalDialog extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            parentDocument: null,
        };
        this._handleRefSet = (popupDiv) => {
            var _a;
            const parentDocument = (_a = popupDiv === null || popupDiv === void 0 ? void 0 : popupDiv.ownerDocument) !== null && _a !== void 0 ? _a : null;
            if (parentDocument) {
                this._container = parentDocument.createElement("div");
                this._container.id = this.props.identifier !== undefined ? `dialog-${this.props.identifier}` : "core-dialog";
                let rt = parentDocument.getElementById("core-dialog-root");
                if (!rt) {
                    rt = parentDocument.createElement("div");
                    rt.id = "core-dialog-root";
                    parentDocument.body.appendChild(rt);
                }
                rt.appendChild(this._container);
                // used to support component rendering in pop-out window
                this.setState({ parentDocument });
            }
        };
    }
    componentWillUnmount() {
        // istanbul ignore else
        if (this._container && this._container.parentElement) { // cleanup
            this._container.parentElement.removeChild(this._container);
        }
    }
    render() {
        const _a = this.props, { identifier } = _a, props = __rest(_a, ["identifier"]); // eslint-disable-line @typescript-eslint/no-unused-vars
        return (React.createElement("div", { ref: this._handleRefSet }, this.state.parentDocument &&
            ReactDOM.createPortal(React.createElement(Dialog_1.Dialog, Object.assign({}, props)), this.state.parentDocument.body)));
    }
}
exports.GlobalDialog = GlobalDialog;
//# sourceMappingURL=GlobalDialog.js.map