/** @packageDocumentation
 * @module Expandable
 */
import "./ExpandableBlock.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for the [[ExpandableBlock]] React component
 * @public
 */
export interface ExpandableBlockProps extends CommonProps {
    /** Label */
    title: string | JSX.Element;
    /** Indicates whether the ExpandableBlock is expanded */
    isExpanded: boolean;
    /** Callback function for click event */
    onClick: React.MouseEventHandler<HTMLDivElement>;
    /** Callback function for key press event */
    onKeyPress?: React.KeyboardEventHandler<HTMLDivElement>;
    /** Callback function for key down event */
    onKeyDown?: React.KeyboardEventHandler<HTMLDivElement>;
    /** Additional text displayed in the block below the label and in a smaller font size */
    caption?: string;
    /** Custom tooltip for the component.
     * @beta
     */
    tooltip?: string;
}
/** ExpandableBlock React component is a container that shows and hides child content.
 * @public
 */
export declare class ExpandableBlock extends React.PureComponent<ExpandableBlockProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=ExpandableBlock.d.ts.map