/** @packageDocumentation
 * @module Expandable
 */
import "./ExpandableList.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for [[ExpandableList]] component
 * @public
 */
export interface ExpandableListProps extends CommonProps {
    /** Index of the default active block */
    defaultActiveBlock?: number;
    /** Indicates whether to allow only one expanded block */
    singleExpandOnly?: boolean;
    /** Indicates whether the single expanded block is collapsible */
    singleIsCollapsible?: boolean;
}
/** @internal */
interface ExpandableListState {
    activeBlock: number;
}
/**
 * ExpandableList React component is a container for ExpandableBlock components.
 * @public
 */
export declare class ExpandableList extends React.PureComponent<ExpandableListProps, ExpandableListState> {
    constructor(props: ExpandableListProps);
    static defaultProps: Partial<ExpandableListProps>;
    private _handleBlockClick;
    private renderBlocks;
    /** @internal */
    componentDidUpdate(prevProps: ExpandableListProps): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=ExpandableList.d.ts.map