/** @packageDocumentation
 * @module Icon
 */
import "./IconComponent.scss";
import * as React from "react";
import { ConditionalStringValue } from "@bentley/ui-abstract";
import { CommonProps } from "../utils/Props";
/** Prototype for an IconSpec which can be a string, ReactNode or ConditionalStringValue.
 * @public
 */
export declare type IconSpec = string | ConditionalStringValue | React.ReactNode;
/** Properties for the [[Icon]] React component
 * @public
 */
export interface IconProps extends CommonProps {
    /** CSS class name or SvgSprite/SvgPath for icon */
    iconSpec?: IconSpec;
}
/** Icon Functional component displays an icon based on an [[IconSpec]].
 * @public
 */
export declare function Icon(props: IconProps): JSX.Element | null;
//# sourceMappingURL=IconComponent.d.ts.map