/** @packageDocumentation
 * @module Icon
 */
import "./SvgSprite.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties of [[SvgPath]] component.
 * @public
 */
export interface SvgPathProps extends CommonProps {
    /** Svg graphics paths */
    paths: string[];
    /** Svg viewBox width */
    viewBoxWidth: number;
    /** Svg viewBox height */
    viewBoxHeight: number;
}
/** Svg element wrapper with specified Svg paths.
 * @public
 */
export declare class SvgPath extends React.PureComponent<SvgPathProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=SvgPath.d.ts.map