"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Icon
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SvgPath = void 0;
require("./SvgSprite.scss");
const classnames = require("classnames");
const React = require("react");
/** Svg element wrapper with specified Svg paths.
 * @public
 */
class SvgPath extends React.PureComponent {
    render() {
        const className = classnames("core-icons-svgSprite", this.props.className);
        const viewBox = `0 0 ${this.props.viewBoxWidth} ${this.props.viewBoxHeight}`;
        return (React.createElement("svg", { className: className, style: this.props.style, width: "100%", height: "100%", viewBox: viewBox },
            React.createElement("g", null, this.props.paths.map((path, index) => {
                return (React.createElement("path", { d: path, key: index }));
            }))));
    }
}
exports.SvgPath = SvgPath;
//# sourceMappingURL=SvgPath.js.map