"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Icon
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SvgSprite = void 0;
require("./SvgSprite.scss");
const classnames = require("classnames");
const React = require("react");
/** Svg element wrapper.
 * @public
 */
class SvgSprite extends React.PureComponent {
    render() {
        const className = classnames("core-icons-svgSprite", this.props.className);
        return (React.createElement("svg", { className: className, style: this.props.style, width: "100%", height: "100%" },
            React.createElement("use", { xmlnsXlink: "http://www.w3.org/1999/xlink", xlinkHref: this.props.src })));
    }
}
exports.SvgSprite = SvgSprite;
//# sourceMappingURL=SvgSprite.js.map