/** @packageDocumentation
 * @module Icon
 */
import "./WebFontIcon.scss";
import "@bentley/icons-generic-webfont/dist/bentley-icons-generic-webfont.css";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for the [[WebFontIcon]] React component
 * @public
 */
export interface WebFontIconProps extends CommonProps {
    /** Bentley Web Font icon name */
    iconName: string;
    /** Click event handler */
    onClick?: React.MouseEventHandler<HTMLSpanElement>;
    /** Text that will be shown when hovered on the icon. */
    title?: string;
    /** Size of the icon */
    iconSize?: "x-small" | "small" | "medium" | "large" | "x-large";
    /** Class name of icon used for custom font-family icons */
    iconClassName?: string;
}
/** WebFontIcon React component
 * @public
 */
export declare function WebFontIcon(props: WebFontIconProps): JSX.Element;
//# sourceMappingURL=WebFontIcon.d.ts.map