"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Icon
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebFontIcon = void 0;
require("./WebFontIcon.scss");
require("@bentley/icons-generic-webfont/dist/bentley-icons-generic-webfont.css");
const classnames = require("classnames");
const React = require("react");
/** WebFontIcon React component
 * @public
 */
function WebFontIcon(props) {
    const className = classnames(props.iconClassName || "bui-webfont-icon", props.iconName, props.iconSize ? `uicore-icons-${props.iconSize}` : undefined, props.className);
    return (React.createElement("span", { className: className, title: props.title, style: props.style, onClick: props.onClick, role: "presentation" }));
}
exports.WebFontIcon = WebFontIcon;
//# sourceMappingURL=WebFontIcon.js.map