/** @packageDocumentation
 * @module Inputs
 */
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for the [[Input]] component
 * @public
 */
export interface InputProps extends React.InputHTMLAttributes<HTMLInputElement>, CommonProps {
    /** Indicates whether to set focus to the input element */
    setFocus?: boolean;
    nativeKeyHandler?: (e: KeyboardEvent) => void;
    /** Provides ability to return reference to HTMLInputElement */
    ref?: React.Ref<HTMLInputElement>;
}
/** Basic text input, is a wrapper for the `<input type="text">` HTML element.
 * @public
 */
export declare const Input: (props: InputProps) => JSX.Element | null;
//# sourceMappingURL=Input.d.ts.map