"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Inputs
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputLabel = void 0;
const classnames = require("classnames");
const React = require("react");
/** Text input wrapper that provides additional styling and labeling
 * @public
 */
class InputLabel extends React.PureComponent {
    render() {
        const { label, status, className, style, labelClassName, labelStyle, message, messageClassName, messageStyle } = this.props;
        return (React.createElement("label", { style: style, className: classnames("uicore-inputs-labeled-input", this.props.disabled && "uicore-disabled", status, className) },
            label &&
                React.createElement("div", { className: classnames("uicore-label", labelClassName), style: labelStyle },
                    " ",
                    label,
                    " "),
            React.createElement("div", { className: classnames("input", { "with-icon": !!status }) },
                this.props.children,
                status &&
                    React.createElement("i", { className: classnames("icon", `icon-status-${status}`) })),
            message &&
                React.createElement("div", { className: classnames("uicore-message", messageClassName), style: messageStyle }, message)));
    }
}
exports.InputLabel = InputLabel;
//# sourceMappingURL=InputLabel.js.map