"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Inputs
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabeledInput = void 0;
const classnames = require("classnames");
const React = require("react");
const Input_1 = require("./Input");
/** Text input wrapper that provides additional styling and labeling
 * @public
 */
function LabeledInput(props) {
    const { label, status, className, style, inputClassName, inputStyle, labelClassName, labelStyle, disabled, message, messageClassName, messageStyle } = props, otherProps = __rest(props, ["label", "status", "className", "style", "inputClassName", "inputStyle", "labelClassName", "labelStyle", "disabled", "message", "messageClassName", "messageStyle"]);
    return (React.createElement("label", { style: style, className: classnames("uicore-inputs-labeled-input", disabled && "uicore-disabled", status, className) },
        label &&
            React.createElement("div", { className: classnames("uicore-label", labelClassName), style: labelStyle },
                " ",
                label,
                " "),
        React.createElement("div", { className: classnames("input", { "with-icon": !!status }) },
            React.createElement(Input_1.Input, Object.assign({ disabled: disabled, className: inputClassName, style: inputStyle }, otherProps)),
            status &&
                React.createElement("i", { className: classnames("icon", `icon-status-${status}`) })),
        message &&
            React.createElement("div", { className: classnames("uicore-message", messageClassName), style: messageStyle }, message)));
}
exports.LabeledInput = LabeledInput;
//# sourceMappingURL=LabeledInput.js.map