"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Inputs
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabeledTextarea = void 0;
const classnames = require("classnames");
const React = require("react");
const Textarea_1 = require("./Textarea");
/** Textarea wrapper that allows for additional styling and labelling
 * @public
 */
function LabeledTextarea(props) {
    const { label, status, className, disabled, style, // eslint-disable-line @typescript-eslint/no-unused-vars
    inputClassName, inputStyle, labelClassName, labelStyle, message, messageClassName, messageStyle } = props, otherProps = __rest(props, ["label", "status", "className", "disabled", "style", "inputClassName", "inputStyle", "labelClassName", "labelStyle", "message", "messageClassName", "messageStyle"]);
    return (React.createElement("label", { style: style, className: classnames("uicore-inputs-labeled-textarea", disabled && "uicore-disabled", status, className) },
        label &&
            React.createElement("div", { className: classnames("uicore-label", labelClassName), style: labelStyle },
                " ",
                label,
                " "),
        React.createElement(Textarea_1.Textarea, Object.assign({ disabled: disabled, className: inputClassName, style: inputStyle }, otherProps)),
        message &&
            React.createElement("div", { className: classnames("uicore-message", messageClassName), style: messageStyle }, message)));
}
exports.LabeledTextarea = LabeledTextarea;
//# sourceMappingURL=LabeledTextarea.js.map