/** @packageDocumentation
 * @module Inputs
 */
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for [[Textarea]] component
 * @public
 */
export interface TextareaProps extends React.TextareaHTMLAttributes<HTMLTextAreaElement>, CommonProps {
    /** Number of textarea rows. Default is 3. */
    rows?: number;
    /** Indicates whether to set focus to the textarea element */
    setFocus?: boolean;
    /** Provides ability to return reference to HTMLInputElement */
    ref?: React.Ref<HTMLTextAreaElement>;
}
/** Basic textarea component
 * @public
 */
export declare const Textarea: (props: TextareaProps) => JSX.Element | null;
//# sourceMappingURL=Textarea.d.ts.map