/** @packageDocumentation
 * @module Inputs
 */
import "./IconInput.scss";
import * as React from "react";
import { InputProps } from "../Input";
/** Properties for the [[IconInput]] component
 * @public
 */
export interface IconInputProps extends InputProps {
    /** Icon displayed to the left of the Input field within the IconInput component */
    icon: React.ReactNode;
    /** CSS class name for the IconInput component container div */
    containerClassName?: string;
    /** Provides ability to return reference to HTMLInputElement */
    ref?: React.Ref<HTMLInputElement>;
}
/** Input component with icon to the left of the input field
 * @public
 */
export declare const IconInput: (props: IconInputProps) => JSX.Element | null;
//# sourceMappingURL=IconInput.d.ts.map