"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Inputs
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconInput = void 0;
require("./IconInput.scss");
const classnames = require("classnames");
const React = require("react");
const Input_1 = require("../Input");
/** Input component with icon to the left of the input field
 * @public
 */
const ForwardRefIconInput = React.forwardRef(function ForwardRefIconInput(props, ref) {
    const { icon, containerClassName } = props, otherProps = __rest(props, ["icon", "containerClassName"]);
    return (React.createElement("div", { className: classnames("core-iconInput-container", containerClassName) },
        React.createElement(Input_1.Input, Object.assign({ ref: ref }, otherProps)),
        React.createElement("div", { className: "core-iconInput-icon" }, icon)));
});
/** Input component with icon to the left of the input field
 * @public
 */
exports.IconInput = ForwardRefIconInput;
//# sourceMappingURL=IconInput.js.map