/** @packageDocumentation
 * @module Inputs
 */
import "./NumericInput.scss";
import * as React from "react";
import { CommonProps } from "../../utils/Props";
import { Omit } from "../../utils/typeUtils";
import { ReactNumericInputProps } from "./ReactNumericInput";
import { StepFunctionProp } from "../numberinput/NumberInput";
/** Properties for the [[NumericInput]] component
 * @beta @deprecated use NumberInput
 */
export interface NumericInputProps extends Omit<ReactNumericInputProps, "step">, CommonProps {
    step?: StepFunctionProp;
}
/** Default properties of [[NumericInput]] component.
 * @internal @deprecated use NumberInput
 */
export declare type NumericInputDefaultProps = Pick<NumericInputProps, "strict">;
/** Numeric Input React component.
 * @beta @deprecated use NumberInput
 */
export declare class NumericInput extends React.Component<NumericInputProps> {
    /** @internal */
    static readonly defaultProps: NumericInputDefaultProps;
    private _step;
    render(): JSX.Element;
}
//# sourceMappingURL=NumericInput.d.ts.map