"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Inputs
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumericInput = void 0;
/* eslint-disable deprecation/deprecation */
require("./NumericInput.scss");
const classnames = require("classnames");
const React = require("react");
const ReactNumericInput_1 = require("./ReactNumericInput");
/** Numeric Input React component.
 * @beta @deprecated use NumberInput
 */
class NumericInput extends React.Component {
    constructor() {
        super(...arguments);
        this._step = (_component, direction) => {
            let result;
            if (this.props.step !== undefined) {
                if (typeof this.props.step === "number")
                    result = this.props.step;
                else
                    result = this.props.step(direction);
            }
            return result;
        };
    }
    render() {
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        const _a = this.props, { step } = _a, props = __rest(_a, ["step"]);
        return (React.createElement("span", { className: classnames("core-numeric-input", this.props.className), style: this.props.style, "data-testid": "core-numeric-input" },
            React.createElement(ReactNumericInput_1.ReactNumericInput, Object.assign({}, props, { step: this._step }))));
    }
}
exports.NumericInput = NumericInput;
/** @internal */
NumericInput.defaultProps = {
    strict: true,
};
//# sourceMappingURL=NumericInput.js.map