import * as React from "react";
import "./Listbox.scss";
/** Ideas borrowed from  https://reacttraining.com/reach-ui/listbox */
/**
 * `Listbox` value.
 * @alpha
 */
export declare type ListboxValue = string;
/**
 * `Listbox` Props.
 * @alpha
 */
export interface ListboxProps extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLUListElement>, HTMLUListElement> {
    id?: string;
    selectedValue?: ListboxValue;
    ariaLabel?: any;
    ariaLabelledBy?: any;
    onListboxValueChange?: ((newValue: ListboxValue, isControlOrCommandPressed?: boolean) => void);
}
/**
 * `ListboxItem` Props.
 * @alpha
 */
export interface ListboxItemProps extends React.DetailedHTMLProps<React.LiHTMLAttributes<HTMLLIElement>, HTMLLIElement> {
    /** The unique item's value. */
    value: ListboxValue;
    /** set if item is disabled. */
    disabled?: boolean;
}
/**
 * `Listbox` Context.
 * @alpha
 */
export interface ListboxContextProps {
    listboxId?: string;
    listboxValue?: ListboxValue;
    focusValue?: ListboxValue;
    onListboxValueChange: ((newValue: ListboxValue, isControlOrCommandPressed?: boolean) => void);
    listboxRef?: React.RefObject<HTMLUListElement>;
}
/**
 * Context set up by listbox for use by `ListboxItems` .
 * @alpha
 */
export declare const ListboxContext: React.Context<ListboxContextProps>;
/**
 * Single select `Listbox` component
 * @alpha
 */
export declare function Listbox(props: ListboxProps): JSX.Element;
/**
 * `ListboxItem` component.
 * @alpha
 */
export declare function ListboxItem(props: ListboxItemProps): JSX.Element;
//# sourceMappingURL=Listbox.d.ts.map