/** @packageDocumentation
 * @module Loading
 */
import "./LoadingBar.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for [[LoadingBar]] component
 * @public
 */
export interface LoadingBarProps extends CommonProps {
    /** Percent */
    percent: number;
    /** Show percentage (optional) */
    showPercentage?: boolean;
    /** Height (in pixels) of the loading bar */
    barHeight: number;
}
/**
 * A loading bar with optional percentage text.
 * @public
 */
export declare class LoadingBar extends React.PureComponent<LoadingBarProps> {
    static defaultProps: Partial<LoadingBarProps>;
    render(): JSX.Element;
}
/** Sanity check to keep percentage between 0 & 100
 * @internal
 */
export declare function percentInRange(percent: number): number;
//# sourceMappingURL=LoadingBar.d.ts.map