/** @packageDocumentation
 * @module Loading
 */
import "./LoadingSpinner.scss";
import * as React from "react";
import { SpinnerProps } from "./Spinner";
/** Properties for [[LoadingSpinner]] component
 * @public
 */
export interface LoadingSpinnerProps extends SpinnerProps {
    /** Message (text) displayed */
    message?: string;
    /** Position the message above or below the spinner (defaults to bottom) */
    messageOnTop?: boolean;
}
/**
 * A loading spinner component that optionally shows a text message.
 * @public
 */
export declare class LoadingSpinner extends React.PureComponent<LoadingSpinnerProps> {
    static defaultProps: Partial<LoadingSpinnerProps>;
    render(): JSX.Element;
}
//# sourceMappingURL=LoadingSpinner.d.ts.map