"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Loading
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoadingSpinner = void 0;
require("./LoadingSpinner.scss");
const React = require("react");
const Spinner_1 = require("./Spinner");
/**
 * A loading spinner component that optionally shows a text message.
 * @public
 */
class LoadingSpinner extends React.PureComponent {
    render() {
        return (React.createElement("div", { className: "core-ls" },
            (this.props.message && this.props.messageOnTop) && React.createElement("span", { className: "ls-message-top" }, this.props.message),
            React.createElement(Spinner_1.Spinner, { size: this.props.size, sizeClass: this.props.sizeClass }),
            (this.props.message && !this.props.messageOnTop) && React.createElement("span", { className: "ls-message-bottom" }, this.props.message)));
    }
}
exports.LoadingSpinner = LoadingSpinner;
LoadingSpinner.defaultProps = {
    messageOnTop: false,
};
//# sourceMappingURL=LoadingSpinner.js.map