/** @packageDocumentation
 * @module Loading
 */
import "./LoadingStatus.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for [[LoadingStatus]] component
 * @public
 */
export interface LoadingStatusProps extends CommonProps {
    /** Message (text) displayed */
    message: string;
    /** Percent displayed (as text) */
    percent: number;
}
/**
 * A loading indicator that shows status text along with the percentage.
 * @public
 */
export declare class LoadingStatus extends React.PureComponent<LoadingStatusProps> {
    static defaultProps: Partial<LoadingStatusProps>;
    private inRange;
    render(): JSX.Element;
}
//# sourceMappingURL=LoadingStatus.d.ts.map