/** @packageDocumentation
 * @module Loading
 */
import "./Spinner.scss";
import * as React from "react";
/** Size for [[Spinner]] component
 * @public
 */
export declare enum SpinnerSize {
    /** width/height of 16px */
    Small = 0,
    /** width/height of 32px */
    Medium = 1,
    /** width/height of 64px */
    Large = 2,
    /** width/height of 96px */
    XLarge = 3
}
/** Properties for [[Spinner]] component
 * @public
 */
export interface SpinnerProps {
    /** Size of spinner */
    size?: SpinnerSize;
    /** CSS class for size of spinner */
    sizeClass?: string;
}
/**
 * An indeterminate spinner component.
 * @public
 */
export declare class Spinner extends React.PureComponent<SpinnerProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=Spinner.d.ts.map