/** @packageDocumentation
 * @module Notification
 */
import { MessageType } from "./MessageType";
import { ClassNameProps } from "../utils/Props";
/** Properties for the [[MessageRenderer]] component
 * @beta
 */
export interface MessageRendererProps extends ClassNameProps {
    /** Message to render */
    message: MessageType;
    /** Indicates whether to use a `span` or `div` element for rendering */
    useSpan?: boolean;
}
/** React component renders a string, HTMLElement or React node in a `div` or `span`
 * @beta
 */
export declare function MessageRenderer(props: MessageRendererProps): JSX.Element | null;
//# sourceMappingURL=MessageRenderer.d.ts.map