/** @packageDocumentation
 * @module Loading
 */
import { CommonProps } from "../utils/Props";
/** Properties for [[ProgressBar]] component
 * @beta
 */
export interface ProgressBarProps extends CommonProps {
    /** Height (in pixels) of the progress bar. (defaults to 4px) */
    barHeight?: number;
    /** Indicates whether the progress bar is determinate showing a percentage or indeterminate continuously animating. (defaults to false) */
    indeterminate?: boolean;
    /** One of two possible labels. If only one label is given it will be centered. Otherwise, this label is shown on the left. */
    labelLeft?: string;
    /** One of two possible labels. If only one label is given it will be centered. Otherwise, this label is shown on the right. */
    labelRight?: string;
    /** Percent for determinate progress bar. */
    percent?: number;
}
/**
 * ProgressBar React component shows a horizontal progress bar.
 * The determinate bar reflects a percentage and the indeterminate bar continuously animates.
 * @beta
 */
export declare function ProgressBar(props: ProgressBarProps): JSX.Element;
//# sourceMappingURL=ProgressBar.d.ts.map