"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Radio
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Radio = void 0;
const classnames = require("classnames");
const React = require("react");
/** Basic radio input component is a wrapper for the `<input type="radio">` HTML element.
 * @public
 */
class Radio extends React.PureComponent {
    render() {
        const _a = this.props, { label, disabled, status, className, style, inputStyle, inputClassName, type } = _a, props = __rest(_a, ["label", "disabled", "status", "className", "style", "inputStyle", "inputClassName", "type"]); // eslint-disable-line @typescript-eslint/no-unused-vars
        return (React.createElement("label", { style: style, className: classnames("uicore-inputs-radio", disabled && "core-disabled", status, className) },
            label &&
                React.createElement("span", null, label),
            React.createElement("input", Object.assign({ type: "radio", className: inputClassName, style: inputStyle, disabled: disabled }, props)),
            React.createElement("span", { className: "core-radio-checkmark" })));
    }
}
exports.Radio = Radio;
//# sourceMappingURL=Radio.js.map