"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Select
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabeledSelect = void 0;
const classnames = require("classnames");
const React = require("react");
const Select_1 = require("./Select");
/** Dropdown wrapper that allows for additional styling and labelling
 * @public
 */
class LabeledSelect extends React.PureComponent {
    render() {
        const _a = this.props, { label, status, className, style, inputClassName, inputStyle, labelClassName, labelStyle, message, messageClassName, messageStyle } = _a, props = __rest(_a, ["label", "status", "className", "style", "inputClassName", "inputStyle", "labelClassName", "labelStyle", "message", "messageClassName", "messageStyle"]);
        return (React.createElement("label", { style: style, className: classnames("uicore-inputs-labeled-select", this.props.disabled && "uicore-disabled", status, className) },
            label &&
                React.createElement("div", { className: classnames("uicore-label", labelClassName), style: labelStyle },
                    " ",
                    label,
                    " "),
            React.createElement(Select_1.Select, Object.assign({ disabled: this.props.disabled, className: inputClassName, style: inputStyle }, props)),
            message &&
                React.createElement("div", { className: classnames("uicore-message", messageClassName), style: messageStyle }, message)));
    }
}
exports.LabeledSelect = LabeledSelect;
//# sourceMappingURL=LabeledSelect.js.map