/** @packageDocumentation
 * @module Settings
 */
import "./SettingsContainer.scss";
import { SettingsManager, SettingsTabEntry } from "./SettingsManager";
/** Hook to use within Settings Page component to allow saving the current page's data before the Setting Container is closed.
 * @beta
 */
export declare function useSaveBeforeClosingSettingsContainer(settingsManager: SettingsManager, saveFunction: (closeFunc: (args: any) => void, closeFuncArgs?: any) => void): void;
/** Hook to use within Settings Page component to allow saving the current page's data before loading to the requested Setting Tab's page.
 * @beta
 */
export declare function useSaveBeforeActivatingNewSettingsTab(settingsManager: SettingsManager, saveFunction: (tabSelectionFunc: (args: any) => void, requestedSettingsTabId?: string) => void): void;
/**
 * @beta
 */
export interface SettingsContainerProps {
    tabs: SettingsTabEntry[];
    currentSettingsTab?: SettingsTabEntry;
    onSettingsTabSelected?: (tab: SettingsTabEntry) => void;
    settingsManager: SettingsManager;
    showHeader?: boolean;
}
/**
 * SettingsContainer component that displays Setting Tabs on Left and the P
 * Note: that SettingsContainer is not rendered if tabs array is empty
 * @beta
 */
export declare const SettingsContainer: ({ tabs, onSettingsTabSelected, currentSettingsTab, settingsManager, showHeader }: SettingsContainerProps) => JSX.Element;
//# sourceMappingURL=SettingsContainer.d.ts.map