"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tabs
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.HorizontalTabs = void 0;
const React = require("react");
const Tabs_1 = require("./Tabs");
const Orientation_1 = require("../enums/Orientation");
/** Horizontal tabs meant to represent the current position in a page/section
 * @public
 */
function HorizontalTabs(props) {
    return (React.createElement(Tabs_1.Tabs, Object.assign({ mainClassName: "uicore-tabs-horizontal", orientation: Orientation_1.Orientation.Horizontal }, props)));
}
exports.HorizontalTabs = HorizontalTabs;
//# sourceMappingURL=HorizontalTabs.js.map