"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tabs
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerticalTabs = void 0;
const React = require("react");
const Tabs_1 = require("./Tabs");
const Orientation_1 = require("../enums/Orientation");
/** Vertical tabs meant to represent the current position in a page/section
 * @public
 */
function VerticalTabs(props) {
    return (React.createElement(Tabs_1.Tabs, Object.assign({ mainClassName: "uicore-tabs-vertical", orientation: Orientation_1.Orientation.Vertical }, props)));
}
exports.VerticalTabs = VerticalTabs;
//# sourceMappingURL=VerticalTabs.js.map