/** @packageDocumentation
 * @module Text
 */
import * as React from "react";
import { IMatch } from "@bentley/ui-abstract";
import { CommonProps } from "../utils/Props";
import "./FilteredText.scss";
/** Props supported by [FilteredText] component
 * @alpha
 */
export interface FilteredTextProps extends CommonProps {
    /** string that matched a filter string */
    value: string;
    /** define array of start and end positions of filter matches. */
    matches?: IMatch[];
    /** holds class name for matching span text. */
    matchClassName?: string;
    /** holds style for matching span text. */
    matchStyle?: React.CSSProperties;
}
/** Component used to highlight filter matches within a text string.
 * @alpha
 */
export declare function FilteredText(props: FilteredTextProps): JSX.Element;
//# sourceMappingURL=FilteredText.d.ts.map