/** @packageDocumentation
 * @module Tiles
 */
import * as React from "react";
import { CommonDivProps } from "../utils/Props";
/** Properties for the [[Tile]] component
 * @beta
 */
export interface TileProps extends CommonDivProps {
    title: string;
    icon?: string | React.ReactNode;
    featured?: boolean;
    minimal?: boolean;
    href?: string;
    onClick?: (e: any) => any;
    stepNum?: number;
    stepCount?: number;
}
/** @internal */
export declare type TileDefaultProps = Pick<TileProps, "stepNum">;
/** The Tile React component is a container for rendering elements that can be grouped together.
 * @beta
 */
export declare class Tile extends React.Component<TileProps> {
    /** @internal */
    static readonly defaultProps: TileDefaultProps;
    /** @internal */
    render(): JSX.Element;
}
//# sourceMappingURL=Tile.d.ts.map