/** @packageDocumentation
 * @module Toggle
 */
import "./LabeledToggle.scss";
import * as React from "react";
import { ToggleProps } from "./Toggle";
/** Properties for [[LabeledToggle]]
 * @public
 */
export interface LabeledToggleProps extends ToggleProps {
    /** Text that will be shown next to the Toggle. */
    label?: string;
    /** Custom CSS class name for the label */
    labelClassName?: string;
    /** Custom CSS Style for the label */
    labelStyle?: React.CSSProperties;
}
/** Toggle component with a Label to the right
 * @public
 */
export declare class LabeledToggle extends React.PureComponent<LabeledToggleProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=LabeledToggle.d.ts.map