"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Toggle
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabeledToggle = void 0;
require("./LabeledToggle.scss");
const classnames = require("classnames");
const React = require("react");
const Toggle_1 = require("./Toggle");
/** Toggle component with a Label to the right
 * @public
 */
class LabeledToggle extends React.PureComponent {
    render() {
        const _a = this.props, { label, labelClassName, className, style } = _a, props = __rest(_a, ["label", "labelClassName", "className", "style"]);
        return (React.createElement("label", { style: this.props.style, className: classnames("core-inputs-labeled-toggle", this.props.disabled && "uicore-disabled", this.props.className) },
            React.createElement(Toggle_1.Toggle, Object.assign({ className: className, style: style }, props)),
            label &&
                React.createElement("div", { className: classnames("uicore-label", labelClassName) }, label)));
    }
}
exports.LabeledToggle = LabeledToggle;
//# sourceMappingURL=LabeledToggle.js.map