"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tree
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TreeBranch = void 0;
require("./Branch.scss");
const classnames = require("classnames");
const React = require("react");
/** Presentation React component for a Tree branch
 * @public
 */
class TreeBranch extends React.PureComponent {
    render() {
        const className = classnames("core-tree-branch", this.props.className);
        return (React.createElement("div", { className: className, style: this.props.style }, this.props.children));
    }
}
exports.TreeBranch = TreeBranch;
//# sourceMappingURL=Branch.js.map