/** @packageDocumentation
 * @module Tree
 */
import "./ExpansionToggle.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for the [[ExpansionToggle]] component
 * @public
 */
export interface ExpansionToggleProps extends CommonProps {
    isExpanded?: boolean;
    onClick?: (e: React.MouseEvent<HTMLDivElement>) => void;
    ["data-testid"]?: string;
}
/** ExpansionToggle React component used by the [[TreeNode]] component to show collapsed or expanded state
 * @public
 */
export declare class ExpansionToggle extends React.PureComponent<ExpansionToggleProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=ExpansionToggle.d.ts.map