"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tree
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExpansionToggle = void 0;
require("./ExpansionToggle.scss");
const classnames = require("classnames");
const React = require("react");
const UiCore_1 = require("../UiCore");
/** ExpansionToggle React component used by the [[TreeNode]] component to show collapsed or expanded state
 * @public
 */
class ExpansionToggle extends React.PureComponent {
    render() {
        const className = classnames("core-tree-expansionToggle", this.props.isExpanded && "is-expanded", this.props.className);
        const label = UiCore_1.UiCore.translate(this.props.isExpanded ? "tree.collapse" : "tree.expand");
        return (
        // eslint-disable-next-line jsx-a11y/click-events-have-key-events
        React.createElement("div", { onClick: this.props.onClick, className: className, style: this.props.style, "data-testid": this.props["data-testid"], role: "button", tabIndex: -1, "aria-label": label },
            React.createElement("i", { className: "toggle icon icon-chevron-right" })));
    }
}
exports.ExpansionToggle = ExpansionToggle;
//# sourceMappingURL=ExpansionToggle.js.map