/** @packageDocumentation
 * @module Tree
 */
import "./Placeholder.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for the [[TreeNodePlaceholder]] React component
 * @public
 */
export interface TreeNodePlaceholderProps extends CommonProps {
    level: number;
    minWidth?: number;
    maxWidth?: number;
    ["data-testid"]?: string;
}
/**
 * Presentation React component for a placeholder to be displayed instead of a node while it's being loaded
 * @public
 */
export declare class TreeNodePlaceholder extends React.PureComponent<TreeNodePlaceholderProps> {
    render(): JSX.Element;
}
//# sourceMappingURL=Placeholder.d.ts.map