/** @packageDocumentation
 * @module Tree
 */
import "./Tree.scss";
import * as React from "react";
import { CommonProps } from "../utils/Props";
/** Properties for the [[Tree]] presentational React component
 * @public
 */
export interface TreeProps extends CommonProps {
    children?: React.ReactNode;
    onMouseDown?: React.MouseEventHandler<HTMLDivElement>;
    onMouseMove?: React.MouseEventHandler<HTMLDivElement>;
    onMouseUp?: React.MouseEventHandler<HTMLDivElement>;
    onKeyDown?: React.KeyboardEventHandler<HTMLDivElement>;
    onKeyUp?: React.KeyboardEventHandler<HTMLDivElement>;
}
/** Presentation React component for a Tree
 * @public
 */
export declare class Tree extends React.PureComponent<TreeProps> {
    private _treeElement;
    private get _scrollableContainer();
    scrollToElement(element: Element): void;
    getElementsByClassName(className: string): Element[];
    setFocusByClassName(selector: string): boolean;
    render(): JSX.Element;
}
//# sourceMappingURL=Tree.d.ts.map