/** @packageDocumentation
 * @module UiSettings
 */
import { UiSettingsResult, UiSettingsStorage } from "./UiSettingsStorage";
/**
 * Implementation of [[UiSettingsStorage]] using Window.localStorage.
 * @public
 */
export declare class LocalSettingsStorage implements UiSettingsStorage {
    w: Window;
    constructor(w?: Window);
    getSetting(settingNamespace: string, settingName: string): Promise<UiSettingsResult>;
    saveSetting(settingNamespace: string, settingName: string, setting: any): Promise<UiSettingsResult>;
    deleteSetting(settingNamespace: string, settingName: string): Promise<UiSettingsResult>;
}
/** Alias for [[LocalSettingsStorage]]
 * @beta @deprecated use LocalSettingsStorage
 */
export declare class LocalUiSettings extends LocalSettingsStorage {
    constructor(w?: Window);
}
//# sourceMappingURL=LocalSettingsStorage.d.ts.map