/** @packageDocumentation
 * @module UiSettings
 */
import { UiSettingsResult, UiSettingsStorage } from "./UiSettingsStorage";
/**
 * Implementation of [[UiSettings]] using Window.sessionStorage.
 * @public
 */
export declare class SessionSettingsStorage implements UiSettingsStorage {
    w: Window;
    constructor(w?: Window);
    getSetting(settingNamespace: string, settingName: string): Promise<UiSettingsResult>;
    saveSetting(settingNamespace: string, settingName: string, setting: any): Promise<UiSettingsResult>;
    deleteSetting(settingNamespace: string, settingName: string): Promise<UiSettingsResult>;
}
/** Alias for [[SessionSettingsStorage]]
 * @beta @deprecated use SessionSettingsStorage
 */
export declare class SessionUiSettings extends SessionSettingsStorage {
    constructor(w?: Window);
}
//# sourceMappingURL=SessionSettingsStorage.d.ts.map