/** @packageDocumentation
 * @module UiSettings
 */
/** Interface for getting, saving and deleting settings.
 * @public
 */
export interface UiSettingsStorage {
    getSetting(settingNamespace: string, settingName: string): Promise<UiSettingsResult>;
    saveSetting(settingNamespace: string, settingName: string, setting: any): Promise<UiSettingsResult>;
    deleteSetting(settingNamespace: string, settingName: string): Promise<UiSettingsResult>;
}
/** Alias for [[UiSettingsStorage]]
 * @public
 */
export declare type UiSettings = UiSettingsStorage;
/** Enum for [[UiSettingsStorage]] status.
 * @public
 */
export declare enum UiSettingsStatus {
    Success = 0,
    NotFound = 1,
    UnknownError = 2,
    Uninitialized = 3,
    AuthorizationError = 4
}
/** Interface for result of accessing setting in [[UiSettingsStorage]].
 * @public
 */
export interface UiSettingsResult {
    status: UiSettingsStatus;
    setting?: any;
}
//# sourceMappingURL=UiSettingsStorage.d.ts.map