/** @packageDocumentation
 * @module Utilities
 */
import { IDisposable } from "@bentley/bentleyjs-core";
/**
 * A helper class to recursively save and restore scroll positions.
 * Usage:
 * ```ts
 * // scroll positions are saved when `ScrollPositionMaintainer` object is created
 * const maintainer = new ScrollPositionMaintainer(element);
 * // can do something with `element` here
 * // disposing the `maintainer` object restores scroll positions
 * maintainer.dispose();
 * ```
 * @beta
 */
export declare class ScrollPositionMaintainer implements IDisposable {
    private _storage;
    constructor(el: Element);
    dispose(): void;
    private static saveScrollPositions;
    private static restoreScrollPositions;
}
//# sourceMappingURL=ScrollPositionMaintainer.d.ts.map