/** @packageDocumentation
 * @module Utilities
 */
/** Describes 2d dimensions.
 * @public
 */
export interface SizeProps {
    readonly width: number;
    readonly height: number;
}
/** Describes and provides methods to work with 2d dimensions.
 * @internal
 */
export declare class Size implements SizeProps {
    readonly width: number;
    readonly height: number;
    /** Creates a size from [[SizeProps]]. */
    static create(size: SizeProps): Size;
    /** Creates a size with specified dimensions. */
    constructor(width?: number, height?: number);
    /** Checks if dimensions of two sizes are equal. */
    equals(other: SizeProps): boolean;
}
//# sourceMappingURL=Size.d.ts.map