"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Size = void 0;
/** Describes and provides methods to work with 2d dimensions.
 * @internal
 */
class Size {
    /** Creates a size with specified dimensions. */
    constructor(width = 0, height = 0) {
        this.width = width;
        this.height = height;
    }
    /** Creates a size from [[SizeProps]]. */
    static create(size) {
        return new Size(size.width, size.height);
    }
    /** Checks if dimensions of two sizes are equal. */
    equals(other) {
        if (this.width === other.width &&
            this.height === other.height)
            return true;
        return false;
    }
}
exports.Size = Size;
//# sourceMappingURL=Size.js.map