"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenChildren = void 0;
const React = require("react");
/** Flattens React fragments.
 * @internal
 */
const flattenChildren = (children) => {
    const items = React.Children.map(children, (child) => {
        // istanbul ignore next
        if (!React.isValidElement(child))
            return child;
        if (child.type === React.Fragment) {
            return child.props.children;
        }
        return child;
    });
    return items;
};
exports.flattenChildren = flattenChildren;
//# sourceMappingURL=flattenChildren.js.map