"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBestBWContrastColor = void 0;
// cspell:ignore RRGGBB
/** Gets best black or white color that contrasts with a given color in #RRGGBB format.
 * @internal
 */
function getBestBWContrastColor(hexColor) {
    const r = parseInt(hexColor.substr(1, 2), 16);
    const g = parseInt(hexColor.substr(3, 2), 16);
    const b = parseInt(hexColor.substr(5, 2), 16);
    const yiq = ((r * 299) + (g * 587) + (b * 114)) / 1000;
    return (yiq >= 128) ? "black" : "white";
}
exports.getBestBWContrastColor = getBestBWContrastColor;
//# sourceMappingURL=getBestBWContrastColor.js.map