"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCssVariableAsNumber = exports.getCssVariable = void 0;
/* istanbul ignore next */
/** Get CSS variable
 * @public
 */
function getCssVariable(variableName, htmlElement) {
    const element = htmlElement !== null && htmlElement !== void 0 ? htmlElement : document.documentElement;
    const cssStyles = getComputedStyle(element, null);
    const cssVal = String(cssStyles.getPropertyValue(variableName)).trim();
    return cssVal;
}
exports.getCssVariable = getCssVariable;
/* istanbul ignore next */
/** Get CSS variable as number
 * @public
 */
function getCssVariableAsNumber(variableName, htmlElement) {
    let cssValNum = NaN;
    const cssValStr = getCssVariable(variableName, htmlElement);
    if (cssValStr)
        cssValNum = parseFloat(cssValStr);
    return cssValNum;
}
exports.getCssVariableAsNumber = getCssVariableAsNumber;
//# sourceMappingURL=getCssVariable.js.map