"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDisplayName = void 0;
/** Gets the display name for a React component.
 * @internal
 */
const getDisplayName = (component) => {
    if (component.displayName)
        return component.displayName;
    if (component.name)
        return component.name;
    return "Component";
};
exports.getDisplayName = getDisplayName;
//# sourceMappingURL=getDisplayName.js.map