/** @packageDocumentation
 * @module Utilities
 */
import * as React from "react";
/** @public */
export declare type OutsideClickEvent = PointerEvent | MouseEvent | TouchEvent;
/** Invokes onOutsideClick handler when user clicks outside of referenced element.
 * @public
 */
export declare function useOnOutsideClick<T extends Element>(onOutsideClick?: () => void, 
/** Invoked for intermediate events. Return `false` to prevent outside click. */
outsideEventPredicate?: (e: OutsideClickEvent) => boolean): React.RefObject<T>;
//# sourceMappingURL=useOnOutsideClick.d.ts.map