"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRefState = void 0;
const React = require("react");
/** Stores current ref value in a state.
 * @internal
 */
function useRefState() {
    const [state, setState] = React.useState();
    const ref = React.useCallback((instance) => {
        setState(instance || undefined);
    }, []); // eslint-disable-line react-hooks/exhaustive-deps
    return [ref, state];
}
exports.useRefState = useRefState;
//# sourceMappingURL=useRefState.js.map