"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.useThrottledFn = void 0;
const React = require("react");
const lodash_1 = require("lodash");
const defaultOptions = {
    leading: false,
    trailing: true,
};
/** Used to throttle function calls
 * @internal
 */
function useThrottledFn(functionToThrottle, waitTime, dependencies, options = defaultOptions) {
    const throttledFunction = lodash_1.throttle(functionToThrottle, waitTime, options);
    // eslint-disable-next-line react-hooks/exhaustive-deps
    return React.useCallback(throttledFunction, dependencies);
}
exports.useThrottledFn = useThrottledFn;
//# sourceMappingURL=useThrottledFn.js.map