/** @packageDocumentation
 * @module Utilities
 */
import * as React from "react";
/** Properties for [[WidgetOpacityContext]]
 * @internal
 */
export interface WidgetOpacityContextProps {
    readonly onElementRef: (elementRef: React.RefObject<Element>) => void;
    readonly proximityScale: number;
}
/**
 * Context used by Widgets and child components to process opacity changes based on mouse proximity.
 * @internal
 */
export declare const WidgetOpacityContext: React.Context<WidgetOpacityContextProps>;
/** Hook for using [[WidgetOpacityContext]]
 * @internal
 */
export declare function useWidgetOpacityContext(): WidgetOpacityContextProps;
//# sourceMappingURL=useWidgetOpacityContext.d.ts.map