"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.useWidgetOpacityContext = exports.WidgetOpacityContext = void 0;
const React = require("react");
/**
 * Context used by Widgets and child components to process opacity changes based on mouse proximity.
 * @internal
 */
// eslint-disable-next-line @typescript-eslint/naming-convention
exports.WidgetOpacityContext = React.createContext({
    onElementRef: /* istanbul ignore next */ (_elementRef) => void {},
    proximityScale: 1.0,
});
/** Hook for using [[WidgetOpacityContext]]
 * @internal
 */
function useWidgetOpacityContext() {
    return React.useContext(exports.WidgetOpacityContext);
}
exports.useWidgetOpacityContext = useWidgetOpacityContext;
//# sourceMappingURL=useWidgetOpacityContext.js.map