"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Utilities
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.shallowDiffers = void 0;
/** Performs a shallow difference check on two objects.
 * @internal
 */
const shallowDiffers = (a, b) => {
    if (a === b)
        return false;
    if (a === undefined || b === undefined)
        return true;
    for (const i in a) {
        if (!(i in b))
            return true;
    }
    for (const i in b) {
        if (a[i] !== b[i])
            return true;
    }
    return false;
};
exports.shallowDiffers = shallowDiffers;
//# sourceMappingURL=shallowDiffers.js.map